--vmp3 by mrafenne



mov1 = 0
mov2 = 0

function nomvis1()
mov2 = 0
if preiw == "fasle" and next == "fasle" then
if mov1 <= 251 and mov1 >= 0 then
mov1 = mov1 +8
end
end
end


statut = "defaut"

while true do
screen:clear()

if pad:circle() then
statut = "affiche"
end

if statut == "affiche" then
nomvis1() 
screen:fillRect(40,mov1,400,1,white)
screen:fillRect(40,mov1,Mp3me.percent()*4,1,green)
screen:fontPrint(font,mov1+120,253,Mp3me.gettime(),green)
screen:fontPrint(font,mov1+120,270,Mp3me.songTime(),white)
screen:fontPrint(font,mov1-215,253,Mp3me.title(),white)
screen:fontPrint(font,mov1-215,270,Mp3me.album(),white)


end
if pad:square() then
statut = "defaut"
end


screen:drawLine(240,136,0,50+Mp3me.vis(0),green)
screen:drawLine(240,136,0,49+Mp3me.vis(1),green)
screen:drawLine(240,136,0,48+Mp3me.vis(2),green)
screen:drawLine(240,136,0,47+Mp3me.vis(3),green)
screen:drawLine(240,136,0,46+Mp3me.vis(4),green)
screen:drawLine(240,136,0,45+Mp3me.vis(5),green)
screen:drawLine(240,136,0,44+Mp3me.vis(6),green)
screen:drawLine(240,136,0,43+Mp3me.vis(7),green)
screen:drawLine(240,136,0,42+Mp3me.vis(8),green)
screen:drawLine(240,136,0,41+Mp3me.vis(9),green)
screen:drawLine(240,136,0,40+Mp3me.vis(0),green)
screen:drawLine(240,136,0,39+Mp3me.vis(1),green)
screen:drawLine(240,136,0,38+Mp3me.vis(2),green)
screen:drawLine(240,136,0,37+Mp3me.vis(3),green)
screen:drawLine(240,136,0,36+Mp3me.vis(4),green)
screen:drawLine(240,136,0,35+Mp3me.vis(5),green)
screen:drawLine(240,136,0,34+Mp3me.vis(6),green)
screen:drawLine(240,136,0,33+Mp3me.vis(7),green)
screen:drawLine(240,136,0,32+Mp3me.vis(8),green)
screen:drawLine(240,136,0,31+Mp3me.vis(9),green)
screen:drawLine(240,136,0,30+Mp3me.vis(0),green)
screen:drawLine(240,136,0,29+Mp3me.vis(1),green)
screen:drawLine(240,136,0,28+Mp3me.vis(2),green)
screen:drawLine(240,136,0,27+Mp3me.vis(3),green)
screen:drawLine(240,136,0,26+Mp3me.vis(4),green)
screen:drawLine(240,136,0,25+Mp3me.vis(5),green)
screen:drawLine(240,136,0,24+Mp3me.vis(6),green)
screen:drawLine(240,136,0,23+Mp3me.vis(7),green)
screen:drawLine(240,136,0,22+Mp3me.vis(8),green)
screen:drawLine(240,136,0,21+Mp3me.vis(9),green)
screen:drawLine(240,136,0,20+Mp3me.vis(0),green)
screen:drawLine(240,136,1,19+Mp3me.vis(1),green)
screen:drawLine(240,136,2,18+Mp3me.vis(2),green)
screen:drawLine(240,136,3,17+Mp3me.vis(3),green)
screen:drawLine(240,136,4,16+Mp3me.vis(4),green)
screen:drawLine(240,136,5,15+Mp3me.vis(5),green)
screen:drawLine(240,136,6,14+Mp3me.vis(6),green)
screen:drawLine(240,136,7,13+Mp3me.vis(7),green)
screen:drawLine(240,136,8,12+Mp3me.vis(8),green)
screen:drawLine(240,136,9,11+Mp3me.vis(9),green)
screen:drawLine(240,136,10,10+Mp3me.vis(1),green)
screen:drawLine(240,136,11,9+Mp3me.vis(2),green)
screen:drawLine(240,136,12,8+Mp3me.vis(3),green)
screen:drawLine(240,136,13,7+Mp3me.vis(4),green)
screen:drawLine(240,136,14,6+Mp3me.vis(5),green)
screen:drawLine(240,136,15,5+Mp3me.vis(6),green)
screen:drawLine(240,136,20,4+Mp3me.vis(7),green)
screen:drawLine(240,136,25,3+Mp3me.vis(8),green)
screen:drawLine(240,136,30,2+Mp3me.vis(6),green)
screen:drawLine(240,136,35,1+Mp3me.vis(7),green)
screen:drawLine(240,136,40,0+Mp3me.vis(8),green)
screen:drawLine(240,136,45,-1+Mp3me.vis(9),green)
screen:drawLine(240,136,50,-2+Mp3me.vis(10),green)
screen:drawLine(240,136,55,-3+Mp3me.vis(11),green)
screen:drawLine(240,136,60,-4+Mp3me.vis(12),green)
screen:drawLine(240,136,65,-5+Mp3me.vis(13),green)
screen:drawLine(240,136,70,-6+Mp3me.vis(14),green)
screen:drawLine(240,136,75,-7+Mp3me.vis(15),green)
screen:drawLine(240,136,80,-8+Mp3me.vis(16),green)
screen:drawLine(240,136,85,-9+Mp3me.vis(17),green)
screen:drawLine(240,136,90,-10+Mp3me.vis(18),green)
screen:drawLine(240,136,95,-11+Mp3me.vis(19),green)
screen:drawLine(240,136,100,-12+Mp3me.vis(20),green)
screen:drawLine(240,136,105,-13+Mp3me.vis(21),green)
screen:drawLine(240,136,110,-14+Mp3me.vis(22),green)
screen:drawLine(240,136,115,-15+Mp3me.vis(23),green)
screen:drawLine(240,136,120,-16+Mp3me.vis(24),green)
screen:drawLine(240,136,125,-17+Mp3me.vis(25),green)
screen:drawLine(240,136,130,-18+Mp3me.vis(26),green)
screen:drawLine(240,136,135,-19+Mp3me.vis(27),green)
screen:drawLine(240,136,140,-20+Mp3me.vis(28),green)
screen:drawLine(240,136,145,-21+Mp3me.vis(29),green)
screen:drawLine(240,136,150,-22+Mp3me.vis(30),green)
screen:drawLine(240,136,155,-23+Mp3me.vis(31),green)
screen:drawLine(240,136,160,-24+Mp3me.vis(32),green)
screen:drawLine(240,136,165,-25+Mp3me.vis(33),green)
screen:drawLine(240,136,170,-26+Mp3me.vis(34),green)
screen:drawLine(240,136,175,-27+Mp3me.vis(35),green)
screen:drawLine(240,136,180,-28+Mp3me.vis(36),green)
screen:drawLine(240,136,185,-29+Mp3me.vis(37),green)
screen:drawLine(240,136,190,-30+Mp3me.vis(38),green)
screen:drawLine(240,136,195,-31+Mp3me.vis(39),green)
screen:drawLine(240,136,200,-32+Mp3me.vis(40),green)
screen:drawLine(240,136,205,-33+Mp3me.vis(41),green)
screen:drawLine(240,136,210,-34+Mp3me.vis(42),green)
screen:drawLine(240,136,215,-35+Mp3me.vis(43),green)
screen:drawLine(240,136,220,-36+Mp3me.vis(44),green)
screen:drawLine(240,136,225,-37+Mp3me.vis(45),green)
screen:drawLine(240,136,230,-38+Mp3me.vis(46),green)
screen:drawLine(240,136,235,-39+Mp3me.vis(47),green)
screen:drawLine(240,136,240,-40+Mp3me.vis(48),green)
screen:drawLine(240,136,245,-39+Mp3me.vis(49),green)
screen:drawLine(240,136,250,-38+Mp3me.vis(50),green)
screen:drawLine(240,136,255,-37+Mp3me.vis(51),green)
screen:drawLine(240,136,260,-36+Mp3me.vis(52),green)
screen:drawLine(240,136,265,-35+Mp3me.vis(53),green)
screen:drawLine(240,136,270,-34+Mp3me.vis(54),green)
screen:drawLine(240,136,275,-33+Mp3me.vis(55),green)
screen:drawLine(240,136,280,-32+Mp3me.vis(56),green)
screen:drawLine(240,136,285,-31+Mp3me.vis(57),green)
screen:drawLine(240,136,290,-30+Mp3me.vis(58),green)
screen:drawLine(240,136,295,-29+Mp3me.vis(59),green)
screen:drawLine(240,136,300,-28+Mp3me.vis(60),green)
screen:drawLine(240,136,305,-27+Mp3me.vis(61),green)
screen:drawLine(240,136,310,-26+Mp3me.vis(62),green)
screen:drawLine(240,136,315,-25+Mp3me.vis(63),green)
screen:drawLine(240,136,320,-24+Mp3me.vis(64),green)
screen:drawLine(240,136,325,-23+Mp3me.vis(65),green)
screen:drawLine(240,136,330,-22+Mp3me.vis(66),green)
screen:drawLine(240,136,335,-21+Mp3me.vis(67),green)
screen:drawLine(240,136,340,-20+Mp3me.vis(68),green)
screen:drawLine(240,136,345,-19+Mp3me.vis(69),green)
screen:drawLine(240,136,350,-18+Mp3me.vis(70),green)
screen:drawLine(240,136,355,-17+Mp3me.vis(71),green)
screen:drawLine(240,136,360,-16+Mp3me.vis(72),green)
screen:drawLine(240,136,365,-15+Mp3me.vis(73),green)
screen:drawLine(240,136,370,-14+Mp3me.vis(74),green)
screen:drawLine(240,136,375,-13+Mp3me.vis(75),green)
screen:drawLine(240,136,380,-12+Mp3me.vis(76),green)
screen:drawLine(240,136,385,-11+Mp3me.vis(77),green)
screen:drawLine(240,136,390,-10+Mp3me.vis(78),green)
screen:drawLine(240,136,395,-9+Mp3me.vis(79),green)
screen:drawLine(240,136,400,-8+Mp3me.vis(80),green)
screen:drawLine(240,136,405,-7+Mp3me.vis(81),green)
screen:drawLine(240,136,410,-6+Mp3me.vis(82),green)
screen:drawLine(240,136,415,-5+Mp3me.vis(83),green)
screen:drawLine(240,136,420,-4+Mp3me.vis(84),green)
screen:drawLine(240,136,425,-3+Mp3me.vis(85),green)
screen:drawLine(240,136,430,-2+Mp3me.vis(86),green)
screen:drawLine(240,136,435,-1+Mp3me.vis(87),green)
screen:drawLine(240,136,440,0+Mp3me.vis(88),green)
screen:drawLine(240,136,445,1+Mp3me.vis(89),green)
screen:drawLine(240,136,450,2+Mp3me.vis(90),green)
screen:drawLine(240,136,455,3+Mp3me.vis(91),green)
screen:drawLine(240,136,460,4+Mp3me.vis(92),green)
screen:drawLine(240,136,465,5+Mp3me.vis(93),green)
screen:drawLine(240,136,470,6+Mp3me.vis(94),green)
screen:drawLine(240,136,475,7+Mp3me.vis(95),green)
screen:drawLine(240,136,480,8+Mp3me.vis(96),green)
screen:drawLine(240,136,480,9+Mp3me.vis(97),green)
screen:drawLine(240,136,480,10+Mp3me.vis(88),green)
screen:drawLine(240,136,485,11+Mp3me.vis(89),green)
screen:drawLine(240,136,480,12+Mp3me.vis(90),green)
screen:drawLine(240,136,485,13+Mp3me.vis(91),green)
screen:drawLine(240,136,480,14+Mp3me.vis(92),green)
screen:drawLine(240,136,485,15+Mp3me.vis(93),green)
screen:drawLine(240,136,480,16+Mp3me.vis(94),green)
screen:drawLine(240,136,485,17+Mp3me.vis(95),green)
screen:drawLine(240,136,480,18+Mp3me.vis(96),green)
screen:drawLine(240,136,480,19+Mp3me.vis(97),green)
screen:drawLine(240,136,480,20+Mp3me.vis(88),green)
screen:drawLine(240,136,480,21+Mp3me.vis(89),green)
screen:drawLine(240,136,480,22+Mp3me.vis(90),green)
screen:drawLine(240,136,480,23+Mp3me.vis(91),green)
screen:drawLine(240,136,480,24+Mp3me.vis(92),green)
screen:drawLine(240,136,485,25+Mp3me.vis(93),green)
screen:drawLine(240,136,480,26+Mp3me.vis(94),green)
screen:drawLine(240,136,485,27+Mp3me.vis(95),green)
screen:drawLine(240,136,480,28+Mp3me.vis(96),green)
screen:drawLine(240,136,480,29+Mp3me.vis(97),green)
screen:drawLine(240,136,480,30+Mp3me.vis(88),green)
screen:drawLine(240,136,480,31+Mp3me.vis(89),green)
screen:drawLine(240,136,480,32+Mp3me.vis(90),green)
screen:drawLine(240,136,480,33+Mp3me.vis(91),green)
screen:drawLine(240,136,480,34+Mp3me.vis(92),green)
screen:drawLine(240,136,485,35+Mp3me.vis(93),green)
screen:drawLine(240,136,480,36+Mp3me.vis(94),green)
screen:drawLine(240,136,485,37+Mp3me.vis(95),green)
screen:drawLine(240,136,480,38+Mp3me.vis(96),green)
screen:drawLine(240,136,480,39+Mp3me.vis(97),green)
screen:drawLine(240,136,480,40+Mp3me.vis(88),green)
screen:drawLine(240,136,480,41+Mp3me.vis(89),green)
screen:drawLine(240,136,480,42+Mp3me.vis(90),green)
screen:drawLine(240,136,480,43+Mp3me.vis(91),green)
screen:drawLine(240,136,480,44+Mp3me.vis(92),green)
screen:drawLine(240,136,485,45+Mp3me.vis(93),green)
screen:drawLine(240,136,480,46+Mp3me.vis(94),green)
screen:drawLine(240,136,485,47+Mp3me.vis(95),green)
screen:drawLine(240,136,480,48+Mp3me.vis(96),green)
screen:drawLine(240,136,480,49+Mp3me.vis(97),green)





screen:drawLine(240,136,0,50+Mp3me.vis(0),green)
screen:drawLine(240,136,0,51+Mp3me.vis(1),green)
screen:drawLine(240,136,0,52+Mp3me.vis(2),green)
screen:drawLine(240,136,0,53+Mp3me.vis(3),green)
screen:drawLine(240,136,0,54+Mp3me.vis(4),green)
screen:drawLine(240,136,0,55+Mp3me.vis(5),green)
screen:drawLine(240,136,0,56+Mp3me.vis(6),green)
screen:drawLine(240,136,0,57+Mp3me.vis(7),green)
screen:drawLine(240,136,0,58+Mp3me.vis(8),green)
screen:drawLine(240,136,0,59+Mp3me.vis(9),green)
screen:drawLine(240,136,0,60+Mp3me.vis(0),green)
screen:drawLine(240,136,0,61+Mp3me.vis(1),green)
screen:drawLine(240,136,0,62+Mp3me.vis(2),green)
screen:drawLine(240,136,0,63+Mp3me.vis(3),green)
screen:drawLine(240,136,0,64+Mp3me.vis(4),green)
screen:drawLine(240,136,0,65+Mp3me.vis(5),green)
screen:drawLine(240,136,0,66+Mp3me.vis(6),green)
screen:drawLine(240,136,0,67+Mp3me.vis(7),green)
screen:drawLine(240,136,0,68+Mp3me.vis(8),green)
screen:drawLine(240,136,0,69+Mp3me.vis(9),green)
screen:drawLine(240,136,0,70+Mp3me.vis(0),green)
screen:drawLine(240,136,1,71+Mp3me.vis(1),green)
screen:drawLine(240,136,2,72+Mp3me.vis(2),green)
screen:drawLine(240,136,3,73+Mp3me.vis(3),green)
screen:drawLine(240,136,4,74+Mp3me.vis(4),green)
screen:drawLine(240,136,5,75+Mp3me.vis(5),green)
screen:drawLine(240,136,6,76+Mp3me.vis(6),green)
screen:drawLine(240,136,7,77+Mp3me.vis(7),green)
screen:drawLine(240,136,8,78+Mp3me.vis(8),green)
screen:drawLine(240,136,9,79+Mp3me.vis(9),green)
screen:drawLine(240,136,10,80+Mp3me.vis(1),green)
screen:drawLine(240,136,11,81+Mp3me.vis(2),green)
screen:drawLine(240,136,12,82+Mp3me.vis(3),green)
screen:drawLine(240,136,13,83+Mp3me.vis(4),green)
screen:drawLine(240,136,14,84+Mp3me.vis(5),green)
screen:drawLine(240,136,15,85+Mp3me.vis(6),green)
screen:drawLine(240,136,20,86+Mp3me.vis(7),green)
screen:drawLine(240,136,25,87+Mp3me.vis(8),green)
screen:drawLine(240,136,30,88+Mp3me.vis(6),green)
screen:drawLine(240,136,35,89+Mp3me.vis(7),green)
screen:drawLine(240,136,40,90+Mp3me.vis(8),green)
screen:drawLine(240,136,45,91+Mp3me.vis(9),green)
screen:drawLine(240,136,50,92+Mp3me.vis(10),green)
screen:drawLine(240,136,55,93+Mp3me.vis(11),green)
screen:drawLine(240,136,60,94+Mp3me.vis(12),green)
screen:drawLine(240,136,65,95+Mp3me.vis(13),green)
screen:drawLine(240,136,70,96+Mp3me.vis(14),green)
screen:drawLine(240,136,75,97+Mp3me.vis(15),green)
screen:drawLine(240,136,80,98+Mp3me.vis(16),green)
screen:drawLine(240,136,85,99+Mp3me.vis(17),green)
screen:drawLine(240,136,90,100+Mp3me.vis(18),green)
screen:drawLine(240,136,95,101+Mp3me.vis(19),green)
screen:drawLine(240,136,100,102+Mp3me.vis(20),green)
screen:drawLine(240,136,105,103+Mp3me.vis(21),green)
screen:drawLine(240,136,110,104+Mp3me.vis(22),green)
screen:drawLine(240,136,115,105+Mp3me.vis(23),green)
screen:drawLine(240,136,120,106+Mp3me.vis(24),green)
screen:drawLine(240,136,125,107+Mp3me.vis(25),green)
screen:drawLine(240,136,130,108+Mp3me.vis(26),green)
screen:drawLine(240,136,135,109+Mp3me.vis(27),green)
screen:drawLine(240,136,140,110+Mp3me.vis(28),green)
screen:drawLine(240,136,145,111+Mp3me.vis(29),green)
screen:drawLine(240,136,150,112+Mp3me.vis(30),green)
screen:drawLine(240,136,155,113+Mp3me.vis(31),green)
screen:drawLine(240,136,160,114+Mp3me.vis(32),green)
screen:drawLine(240,136,165,115+Mp3me.vis(33),green)
screen:drawLine(240,136,170,116+Mp3me.vis(34),green)
screen:drawLine(240,136,175,117+Mp3me.vis(35),green)
screen:drawLine(240,136,180,118+Mp3me.vis(36),green)
screen:drawLine(240,136,185,119+Mp3me.vis(37),green)
screen:drawLine(240,136,190,120+Mp3me.vis(38),green)
screen:drawLine(240,136,195,121+Mp3me.vis(39),green)
screen:drawLine(240,136,200,122+Mp3me.vis(40),green)
screen:drawLine(240,136,205,123+Mp3me.vis(41),green)
screen:drawLine(240,136,210,124+Mp3me.vis(42),green)
screen:drawLine(240,136,215,125+Mp3me.vis(43),green)
screen:drawLine(240,136,220,126+Mp3me.vis(44),green)
screen:drawLine(240,136,225,127+Mp3me.vis(45),green)
screen:drawLine(240,136,230,128+Mp3me.vis(46),green)
screen:drawLine(240,136,235,129+Mp3me.vis(47),green)
screen:drawLine(240,136,240,130+Mp3me.vis(48),green)
screen:drawLine(240,136,245,129+Mp3me.vis(49),green)
screen:drawLine(240,136,250,128+Mp3me.vis(50),green)
screen:drawLine(240,136,255,127+Mp3me.vis(51),green)
screen:drawLine(240,136,260,126+Mp3me.vis(52),green)
screen:drawLine(240,136,265,125+Mp3me.vis(53),green)
screen:drawLine(240,136,270,124+Mp3me.vis(54),green)
screen:drawLine(240,136,275,123+Mp3me.vis(55),green)
screen:drawLine(240,136,280,122+Mp3me.vis(56),green)
screen:drawLine(240,136,285,121+Mp3me.vis(57),green)
screen:drawLine(240,136,290,120+Mp3me.vis(58),green)
screen:drawLine(240,136,295,119+Mp3me.vis(59),green)
screen:drawLine(240,136,300,118+Mp3me.vis(60),green)
screen:drawLine(240,136,305,117+Mp3me.vis(61),green)
screen:drawLine(240,136,310,116+Mp3me.vis(62),green)
screen:drawLine(240,136,315,115+Mp3me.vis(63),green)
screen:drawLine(240,136,320,114+Mp3me.vis(64),green)
screen:drawLine(240,136,325,113+Mp3me.vis(65),green)
screen:drawLine(240,136,330,112+Mp3me.vis(66),green)
screen:drawLine(240,136,335,111+Mp3me.vis(67),green)
screen:drawLine(240,136,340,110+Mp3me.vis(68),green)
screen:drawLine(240,136,345,109+Mp3me.vis(69),green)
screen:drawLine(240,136,350,108+Mp3me.vis(70),green)
screen:drawLine(240,136,355,107+Mp3me.vis(71),green)
screen:drawLine(240,136,360,106+Mp3me.vis(72),green)
screen:drawLine(240,136,365,105+Mp3me.vis(73),green)
screen:drawLine(240,136,370,104+Mp3me.vis(74),green)
screen:drawLine(240,136,375,103+Mp3me.vis(75),green)
screen:drawLine(240,136,380,102+Mp3me.vis(76),green)
screen:drawLine(240,136,385,101+Mp3me.vis(77),green)
screen:drawLine(240,136,390,100+Mp3me.vis(78),green)
screen:drawLine(240,136,395,99+Mp3me.vis(79),green)
screen:drawLine(240,136,400,98+Mp3me.vis(80),green)
screen:drawLine(240,136,405,97+Mp3me.vis(81),green)
screen:drawLine(240,136,410,96+Mp3me.vis(82),green)
screen:drawLine(240,136,415,95+Mp3me.vis(83),green)
screen:drawLine(240,136,420,94+Mp3me.vis(84),green)
screen:drawLine(240,136,425,93+Mp3me.vis(85),green)
screen:drawLine(240,136,430,92+Mp3me.vis(86),green)
screen:drawLine(240,136,435,91+Mp3me.vis(87),green)
screen:drawLine(240,136,440,90+Mp3me.vis(88),green)
screen:drawLine(240,136,445,89+Mp3me.vis(89),green)
screen:drawLine(240,136,450,88+Mp3me.vis(90),green)
screen:drawLine(240,136,455,87+Mp3me.vis(91),green)
screen:drawLine(240,136,460,86+Mp3me.vis(92),green)
screen:drawLine(240,136,465,85+Mp3me.vis(93),green)
screen:drawLine(240,136,470,84+Mp3me.vis(94),green)
screen:drawLine(240,136,475,83+Mp3me.vis(95),green)
screen:drawLine(240,136,480,82+Mp3me.vis(96),green)
screen:drawLine(240,136,480,81+Mp3me.vis(97),green)
screen:drawLine(240,136,480,80+Mp3me.vis(88),green)
screen:drawLine(240,136,485,79+Mp3me.vis(89),green)
screen:drawLine(240,136,480,78+Mp3me.vis(90),green)
screen:drawLine(240,136,485,77+Mp3me.vis(91),green)
screen:drawLine(240,136,480,76+Mp3me.vis(92),green)
screen:drawLine(240,136,480,75+Mp3me.vis(93),green)
screen:drawLine(240,136,480,74+Mp3me.vis(94),green)
screen:drawLine(240,136,485,73+Mp3me.vis(95),green)
screen:drawLine(240,136,480,72+Mp3me.vis(96),green)
screen:drawLine(240,136,480,71+Mp3me.vis(97),green)
screen:drawLine(240,136,480,70+Mp3me.vis(88),green)
screen:drawLine(240,136,480,69+Mp3me.vis(89),green)
screen:drawLine(240,136,480,68+Mp3me.vis(90),green)
screen:drawLine(240,136,480,67+Mp3me.vis(91),green)
screen:drawLine(240,136,480,66+Mp3me.vis(92),green)
screen:drawLine(240,136,480,65+Mp3me.vis(93),green)
screen:drawLine(240,136,480,64+Mp3me.vis(94),green)
screen:drawLine(240,136,480,63+Mp3me.vis(95),green)
screen:drawLine(240,136,480,62+Mp3me.vis(96),green)
screen:drawLine(240,136,480,61+Mp3me.vis(97),green)
screen:drawLine(240,136,480,60+Mp3me.vis(88),green)
screen:drawLine(240,136,480,59+Mp3me.vis(89),green)
screen:drawLine(240,136,480,58+Mp3me.vis(90),green)
screen:drawLine(240,136,480,57+Mp3me.vis(91),green)
screen:drawLine(240,136,480,56+Mp3me.vis(92),green)
screen:drawLine(240,136,480,55+Mp3me.vis(93),green)
screen:drawLine(240,136,480,54+Mp3me.vis(94),green)
screen:drawLine(240,136,480,53+Mp3me.vis(95),green)
screen:drawLine(240,136,480,52+Mp3me.vis(96),green)
screen:drawLine(240,136,480,51+Mp3me.vis(97),green)
screen:drawLine(240,136,480,50+Mp3me.vis(88),green)



pad = Controls.read()


if pad:r() and not oldpad:r() then
if fbrowser.s < (fbrowser.nf + 1) then
i = fbrowser.s + 1
if i < (fbrowser.nf + 1) then
if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".mp3" or
string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".MP3" then
fbrowser.s = fbrowser.s + 1
Mp3me.stop()
screen:clear()
Mp3me.load(fbrowser.fl[fbrowser.s].name)
Mp3me.play()
end
end
end
end

if pad:l() and not oldpad:l() then
if fbrowser.s < (fbrowser.nf + 1) and fbrowser.s > 2 then
i = fbrowser.s - 1
if i < (fbrowser.nf + 1) and i > 2 then
if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".mp3" or
string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".MP3" then
Mp3me.stop()
screen:clear()
fbrowser.s = fbrowser.s - 1
Mp3me.load(fbrowser.fl[fbrowser.s].name)
Mp3me.play()
end
end
end
end

if pad:cross() and not oldpad:cross() then
Mp3me.pause()
end

if pad:left() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/Ibis/vmp310.lua")
end

if pad:right() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/Ibis/vmp312.lua")
end

if pad:triangle() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/menu.lua")
end


if pad:start() then 
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/script1.lua")
exitMenu()
end


screen.waitVblankStart()
screen.flip()
oldpad = pad
end


